<!-- auth-page wrapper -->
<div
  class="auth-page-wrapper auth-bg-cover py-5 d-flex justify-content-center align-items-center min-vh-100"
>
  <div class="bg-overlay"></div>
  <!-- auth-page content -->
  <div class="auth-page-content overflow-hidden pt-lg-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="card overflow-hidden">
            <div class="row g-0">
              <div class="col-lg-6">
                <div class="p-lg-5 p-4 auth-one-bg h-100">
                  <div class="bg-overlay"></div>
                  <div class="position-relative h-100 d-flex flex-column">
                    <div class="mb-4">
                      <a routerLink="" class="d-block">
                        <img
                          src="assets/images/logo-light.png"
                          alt=""
                          height="18"
                        />
                      </a>
                    </div>
                    <div class="mt-auto">
                      <div class="mb-3">
                        <i
                          class="ri-double-quotes-l display-4 text-success"
                        ></i>
                      </div>

                      <ngb-carousel
                        [showNavigationArrows]="showNavigationArrows"
                      >
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " Great! Clean code, clean design, easy for
                                customization. Thanks very much! "
                              </p>
                            </div>
                          </div>
                        </ng-template>
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " The theme is really great with an amazing
                                customer support."
                              </p>
                            </div>
                          </div>
                        </ng-template>
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " Great! Clean code, clean design, easy for
                                customization. Thanks very much! "
                              </p>
                            </div>
                          </div>
                        </ng-template>
                      </ngb-carousel>
                      <!-- end carousel -->
                    </div>
                  </div>
                </div>
              </div>
              <!-- end col -->

              <div class="col-lg-6">
                <div class="p-lg-5 p-4">
                  <div>
                    <h5 class="text-primary">Welcome Back !</h5>
                    <p class="text-muted">Sign in to continue</p>
                  </div>

                  <div class="mt-4">
                    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                      <div class="mb-3">
                        <label for="username" class="form-label"
                          >Username</label
                        >
                        <input
                          type="text"
                          class="form-control"
                          id="username"
                          placeholder="Enter username"
                          formControlName="name"
                          [ngClass]="{
                            'is-invalid': submitted && f['name'].errors
                          }"
                        />
                        <div
                          *ngIf="submitted && f['name'].errors"
                          class="invalid-feedback"
                          align="left"
                        >
                          <div *ngIf="f['name'].errors['required']">
                            Username is required
                          </div>
                        </div>
                      </div>

                      <div class="mb-3">
                        <div class="float-end">
                          <a
                            routerLink="/auth/pass-reset/cover"
                            class="text-muted"
                            >Forgot password?</a
                          >
                        </div>
                        <label class="form-label" for="password-input"
                          >Password</label
                        >
                        <div
                          class="position-relative auth-pass-inputgroup mb-3"
                        >
                          <input
                            [type]="fieldTextType ? 'text' : 'password'"
                            class="form-control pe-5"
                            placeholder="Enter password"
                            id="password-input"
                            formControlName="password"
                            [ngClass]="{
                              'is-invalid': submitted && f['password'].errors
                            }"
                          />
                          <button
                            class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted"
                            type="button"
                            id="password-addon"
                          >
                            <i
                              class="mdi align-middle"
                              [ngClass]="{
                                'mdi-eye-off-outline': !fieldTextType,
                                'mdi-eye-outline': fieldTextType
                              }"
                              (click)="toggleFieldTextType()"
                            ></i>
                          </button>
                          <div
                            *ngIf="submitted && f['password'].errors"
                            class="invalid-feedback"
                          >
                            <span *ngIf="f['password'].errors['required']"
                              >Password is required</span
                            >
                          </div>
                        </div>
                      </div>

                      <div class="form-check">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="auth-remember-check"
                        />
                        <label
                          class="form-check-label"
                          for="auth-remember-check"
                          >Remember me</label
                        >
                      </div>

                      <div class="mt-4">
                        <button class="btn btn-success w-100" type="submit">
                          Sign In
                        </button>
                      </div>

                      <div class="mt-4 text-center">
                        <div class="signin-other-title">
                          <h5 class="fs-13 mb-4 title">Sign In with</h5>
                        </div>

                        <div class="d-flex gap-2 justify-content-center">
                          <button
                            type="button"
                            class="btn btn-primary btn-icon waves-effect waves-light"
                          >
                            <i class="ri-facebook-fill fs-16"></i>
                          </button>
                          <button
                            type="button"
                            class="btn btn-danger btn-icon waves-effect waves-light"
                          >
                            <i class="ri-google-fill fs-16"></i>
                          </button>
                          <button
                            type="button"
                            class="btn btn-dark btn-icon waves-effect waves-light"
                          >
                            <i class="ri-github-fill fs-16"></i>
                          </button>
                          <button
                            type="button"
                            class="btn btn-info btn-icon waves-effect waves-light"
                          >
                            <i class="ri-twitter-fill fs-16"></i>
                          </button>
                        </div>
                      </div>
                    </form>
                  </div>

                  <div class="mt-5 text-center">
                    <p class="mb-0">
                      Don't have an account ?
                      <a
                        routerLink="/auth/signup/cover"
                        class="fw-semibold text-primary text-decoration-underline"
                      >
                        Signup</a
                      >
                    </p>
                  </div>
                </div>
              </div>
              <!-- end col -->
            </div>
            <!-- end row -->
          </div>
          <!-- end card -->
        </div>
        <!-- end col -->
      </div>
      <!-- end row -->
    </div>
    <!-- end container -->
  </div>
  <!-- end auth page content -->

  <!-- footer -->
  <footer class="footer">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center">
            <p class="mb-0">&copy; {{ year }} veszter</p>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <!-- end Footer -->
</div>
<!-- end auth-page-wrapper -->
